org.apache.lucene.analysis.ja.util

## Class ToStringUtil

- java.lang.Object
- - org.apache.lucene.analysis.ja.util.ToStringUtil

-     public class ToStringUtil
      extends Object

  Utility class for english translations of morphological data, used only for debugging.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToStringUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getInflectedFormTranslation(String s)` Get the english form of inflected form
    `static String` | `getInflectionTypeTranslation(String s)` Get the english form of inflection type
    `static String` | `getPOSTranslation(String s)` Get the english form of a POS tag
    `static void` | `getRomanization(Appendable builder, CharSequence s)` Romanize katakana with modified hepburn
    `static String` | `getRomanization(String s)` Romanize katakana with modified hepburn

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ToStringUtil

          public ToStringUtil()

  - ### Method Detail

    - #### getPOSTranslation

          public static String getPOSTranslation(String s)

      Get the english form of a POS tag

    - #### getInflectionTypeTranslation

          public static String getInflectionTypeTranslation(String s)

      Get the english form of inflection type

    - #### getInflectedFormTranslation

          public static String getInflectedFormTranslation(String s)

      Get the english form of inflected form

    - #### getRomanization

          public static String getRomanization(String s)

      Romanize katakana with modified hepburn

    - #### getRomanization

          public static void getRomanization(Appendable builder,
                                             CharSequence s)
                                      throws IOException

      Romanize katakana with modified hepburn
      Throws:
        `IOException`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.